#!/bin/sh

if [ -f "/scratchbox/.run_me_first_done" ] ; then
	echo "This script has already been run. (/scratchbox/.run_me_first_done exists)"
	exit 1
fi

while [ 1 = 1 ] ; do
	echo -n "Do you want to use sudo mode [yes/no] (no): "; read mode

	if [ "x" = "x$mode" ] ; then 
		mode="no"
	fi

	# Normal mode!
	if [ "$mode" = "no" ] ; then
		if [ `id -u` != "0" ] ; then
			echo "This has to be run as root."
			exit 1
		fi

		if [ "x`cat /etc/group | grep ^sbox:`" = "x" ] ; then
			/usr/sbin/groupadd sbox
		fi

		chown -R root.root /scratchbox/.
		chmod -R o-w /scratchbox/.

		chown -R root.sbox /scratchbox/sbin/*
		chmod 754 /scratchbox/sbin/*
		chmod u+s /scratchbox/sbin/chroot-uid

		mkdir -p /scratchbox/tools/ccache
		chown root.sbox /scratchbox/tools/ccache
		chmod 2775 /scratchbox/tools/ccache

		tar -cpf - /dev 2>/dev/null | tar -xpf - -C /scratchbox/

		ln -fs /targets/links/scratchbox.config /scratchbox/scratchbox.config

		/scratchbox/sbin/register_arm

		break
	fi

	# Sudo mode
	if [ "$mode" = "yes" ] ; then
		chmod -R a+r /scratchbox/*
		for i in `find /scratchbox/ -type d`; do chmod a+x "$i"; done
		chmod 754 /scratchbox/sbin/*
		
		echo -n "Give the name of the scratchbox (and sudo) group: "
		read SB_GROUP
		echo "$SB_GROUP" >/scratchbox/.sudo_mode
		
		mkdir -p /scratchbox/tools/ccache
		chgrp $SB_GROUP /scratchbox/tools/ccache
		chmod 2775 /scratchbox/tools/ccache
		
		ln -fs /targets/links/scratchbox.config /scratchbox/scratchbox.config
		
		break		
	fi
	
	echo "Answer 'yes' or 'no'!"
done

touch /scratchbox/.run_me_first_done

echo ""
echo "Scratchbox is now ready.. Now you should add some users! (sbin/sbox_adduser)"
echo ""


